=== debian/control ===
Source: ros-humble-rosbag2-tests
Section: misc
Priority: optional
Maintainer: Michael Orlov <michael.orlov@apex.ai>
Build-Depends: debhelper (>= 9.0.0), ros-humble-ament-cmake, ros-humble-ament-cmake-gmock <!nocheck>, ros-humble-ament-index-cpp, ros-humble-ament-lint-auto <!nocheck>, ros-humble-ament-lint-common <!nocheck>, ros-humble-rclcpp <!nocheck>, ros-humble-rcpputils <!nocheck>, ros-humble-ros2bag <!nocheck>, ros-humble-rosbag2-compression <!nocheck>, ros-humble-rosbag2-compression-zstd <!nocheck>, ros-humble-rosbag2-cpp <!nocheck>, ros-humble-rosbag2-storage <!nocheck>, ros-humble-rosbag2-storage-default-plugins <!nocheck>, ros-humble-rosbag2-test-common <!nocheck>, ros-humble-std-msgs <!nocheck>, ros-humble-test-msgs <!nocheck>, ros-humble-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-humble-rosbag2-tests
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-humble-ament-index-cpp, ros-humble-ros-workspace
Description: Tests package for rosbag2
